SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Enumerations
AutopatcherPatchContext.h File Reference

Go to the source code of this file.

## Enumerations

enum | PatchContext { PC_HASH_1_WITH_PATCH, PC_HASH_2_WITH_PATCH, PC_WRITE_FILE, PC_ERROR_FILE_WRITE_FAILURE, PC_ERROR_PATCH_TARGET_MISSING, PC_ERROR_PATCH_APPLICATION_FAILURE, PC_ERROR_PATCH_RESULT_CHECKSUM_FAILURE, PC_NOTICE_WILL_COPY_ON_RESTART, PC_NOTICE_FILE_DOWNLOADED, PC_NOTICE_FILE_DOWNLOADED_PATCH }

## Enumeration Type Documentation

enum PatchContext

Enumerator:

  PC_HASH_1_WITH_PATCH |
  PC_HASH_2_WITH_PATCH |
  PC_WRITE_FILE |
  PC_ERROR_FILE_WRITE_FAILURE |
  PC_ERROR_PATCH_TARGET_MISSING |
  PC_ERROR_PATCH_APPLICATION_FAILURE |
  PC_ERROR_PATCH_RESULT_CHECKSUM_FAILURE |
  PC_NOTICE_WILL_COPY_ON_RESTART |
  PC_NOTICE_FILE_DOWNLOADED |
  PC_NOTICE_FILE_DOWNLOADED_PATCH |

Definition at line 14 of file AutopatcherPatchContext.h.